Bug 127140 - kernel-2.6.7-1.467 do not boot on Athlon
kernel-2.6.7-1.467 do not boot on Athlon
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-02 11:32 EDT by William Cohen
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.7-1.509
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-05 15:52:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Cohen 2004-07-02 11:32:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.2)
Gecko/20040301

Description of problem:
Neither the  kernel-2.6.7-1.467.i686.rpm
nor the kernel-smp-2.6.7-1.467.i686.rpm
boot on the Athon machine I have, earlier versions of the 2.6 kernels
booted on the machine. Had same problems with kernel-2.6.7-1.459.i686.rpm.

Version-Release number of selected component (if applicable):
kernel-2.6.7-1.467

How reproducible:
Always

Steps to Reproduce:
1. Install the kernel-2.6.7-1.467.i686.rpm
2. Reboot
3. Select the newly installed kernel
    

Actual Results:  Machine hangs after reporting, no oops or "INIT"
followed by a list of services starting:

EXT3-fs: mounted filesystem with ordered data mode.
Freeing unused kernel memory: 136 freed


Expected Results:  Machine boots and provide login prompt.

Additional info:

Cpu information

$ more /proc/cpuinfo
processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 6
model           : 6
model name      : AMD Athlon(TM) XP 2000+
stepping        : 2
cpu MHz         : 1687.552
cache size      : 256 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge
mca cmov
pat pse36 mmx fxsr sse syscall mmxext 3dnowext 3dnow
bogomips        : 3368.55
 

I am able to boot the same kernel on a pentium M machine without problem.
Comment 1 Bill Nottingham 2004-08-05 15:24:20 EDT
Do newer kernels work?
Comment 2 William Cohen 2004-08-05 15:52:53 EDT
The kernel-2.6.7-1.509.i686.rpm and kernel-smp-2.6.7-1.509.i686.rpm 
boot on the same Athlon. So what ever was causing the problem seems to
be fixed in the more recent version of the kernels.


Comment 3 William Cohen 2004-08-05 15:56:24 EDT
Some change between 2.6.7-1.492 and 2.6.7-1.509 fixed the problem.

Note You need to log in before you can comment on or make changes to this bug.